<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="breadcrumb-container p-l-10 p-r-10"><span>
    <ol class="breadcrumb">
        <li ng-repeat="step in $ctrl.steps"><a href="#" ng-click="$ctrl.goToPreviousStep(step)">
            <span ng-show="!step.property">{{ step.classes[0].getPreferedLabel() }}</span>
            <span ng-show="step.property">
                {{ step.property.getPreferedLabel() }}
                <span class="label label-default">{{ step.classes[0].getPreferedLabel() }}</span>
            </span>
        </a></li>
    </ol></span>
</div>

<div class="steps-container-wrapper">
    <div class="steps-container" ng-style="{ 'transform': 'translate(-'+$ctrl.offset+'px, 0px)', '-webkit-transform': 'translate(-'+$ctrl.offset+'px, 0px)', '-ms-transform': 'translate(-'+$ctrl.offset+'px, 0px)' }"><!--

        --><div class="step" ng-repeat="step in $ctrl.steps"><scrollable>
            <div class="box box-solid box-default box-sm no-border m-b-0">
                <div class="box-header">
                    <h3 class="box-title">
                        <span ng-show="$index > 0"><a href="" ng-click="$ctrl.goToPreviousStep()"><i class="fa fa-chevron-left fa-fw"></i></a>&nbsp;</span>
                        <span ng-repeat="class in step.classes">
                            <span title="{{ class.getUri() }}">{{ class.getPreferedLabel() }}</span><span ng-if="!$last">,&nbsp;</span>
                        </span></h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body no-padding ">
                    <div class="list-group no-margin">

                        <!-- FILTERS -->
                        <a ng-repeat="filter in step.filters" href="" ng-click="$ctrl.selectFilter(filter)" class="list-group-item p-l-15" ng-class="{active: $ctrl.isActiveFilter(filter) }">
                            <strong>{{ filter.definition.label | translate }}</strong>
                            <span class="label label-warning"> {{ filter.definition.helper | translate }}</span>
                            <small class="text-muted"><br>{{ filter.definition.comment | translate }}</small>
                        </a>

                        <!-- PROPERTIES -->
                        <a ng-repeat="property in step.properties|orderBy:'priority || 0':true" href="" ng-click="$ctrl.selectProperty(property)" class="list-group-item p-l-15" ng-class="{active: $ctrl.isActiveProperty(property) }">

                            <!-- compound indication -->
                            <span class="ico-compound fa" ng-show="$ctrl.isCompound(property)"></span>

                            <!-- label -->
                            <strong title="{{ property.getUri() }}">{{ property.getPreferedLabel() }}</strong>

                            <!-- ranges -->
                            <span ng-repeat="prange in property.getRanges()">
                                &nbsp;<span class="label label-default" title="{{ prange.getUri() }}">{{ prange.getPreferedLabel()  }}</span>
                            </span>

                            <span class="label label-warning" ng-show="property.special"> {{ property.special }}</span>

                            <!-- comment -->
                            <small ng-show="property.getComment()" class="text-muted"><br>{{ property.getComment() }}</small>

                        </a>
                    </div>
                </div>
            </div>
    </scrollable></div><!--

    --></div>
</div>
